#include <iostream>
using namespace std;

int main()
{
    int n,k;
    cin>>n>>k;
    int a,aa;
    cin>>a;
    aa=a;
    for(int i=0;i<n-1;i++)
    {
        int a1;
        cin>>a1;
        if(a==k) cout<<a1;
        a=a1;
        if(i==n-2 && a1==k) cout<<aa;
    }
    return 0;
}